Subject: bug#22344: 25.0.50 (and 24.5.1, 24.4); Sending 4097 bytes to a subprocess hangs Emacs on Windows 8 and 10

From: Clément Pit--Claudel <[email-masked]>
Date: Mon, 11 Jan 2016 12:55:21 -0500

On 01/11/2016 12:51 PM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Clément Pit--Claudel <[email-masked]>
>> Date: Mon, 11 Jan 2016 12:18:27 -0500
>>
>> Here is a simplified test case, which only assumes node.js:
>>
>> * In a file C:\blackhole.js
>>
>> function blackhole() {
>>     var stream = process.openStdin();
>>     stream.setEncoding("utf-8");
>>     stream.on('data', function (chunk) { process.stdout.write(chunk); });
>> }
>> blackhole();
> 
> Thanks.  Are all the affected programs written in JavaScript? 

Quite possibly.

> Do they
> all set stdin encoding to UTF-8?

I don't know.

> If so, does the problem go away if
> you remove the line that sets the encoding?

I'll check this immediately (I need to reboot).

>> Do you think you could run this example?
> 
> It doesn't run on this machine, I guess I never bothered to set up
> JavaScript on it.

Normally, installing node.js from https://nodejs.org/dist/v4.2.4/node-v4.2.4-x64.msi should be enough.

Thanks again!
Clément.